Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1606490 - tcalc: FTBFS in Fedora rawhide
Summary: tcalc: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcalc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohammed Isam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1551327 F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 20:16 UTC by Mohan Boddu
Modified: 2018-08-06 23:49 UTC (History)
1 user (show)

Fixed In Version: tcalc-2.1-7.el6 tcalc-2.1-7.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-23 20:10:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-20 20:16 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-20 20:16 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-20 20:16 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 20:16:15 UTC
tcalc failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28236191


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix tcalc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
tcalc will be orphaned. Before branching of Fedora 30,
tcalc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 20:16:19 UTC
Created attachment 1468414 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 20:16:23 UTC
Created attachment 1468415 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 20:16:25 UTC
Created attachment 1468416 [details]
state.log

Comment 4 Fedora Update System 2018-07-21 06:05:03 UTC
tcalc-2.1-7.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-90295d372f

Comment 5 Fedora Update System 2018-07-21 06:25:07 UTC
tcalc-2.1-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ad91ede26d

Comment 6 Fedora Update System 2018-07-21 06:30:31 UTC
tcalc-2.1-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7ac0a488d2

Comment 7 Fedora Update System 2018-07-21 06:38:14 UTC
tcalc-2.1-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-51148375df

Comment 8 Fedora Update System 2018-07-22 00:34:28 UTC
tcalc-2.1-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7ac0a488d2

Comment 9 Fedora Update System 2018-07-22 00:45:49 UTC
tcalc-2.1-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ad91ede26d

Comment 10 Fedora Update System 2018-07-22 02:59:17 UTC
tcalc-2.1-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-51148375df

Comment 11 Fedora Update System 2018-07-22 03:39:07 UTC
tcalc-2.1-7.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-90295d372f

Comment 12 Igor Raits 2018-07-23 15:26:24 UTC
Matches:
configure: error: no acceptable C compiler found in $PATH

Suggested fix:
BuildRequires:  gcc

Comment 13 Igor Raits 2018-07-23 20:10:59 UTC
There has been at least one successfull build after this bug got created.

tcalc-2.1-7.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1129299

Comment 14 Fedora Update System 2018-08-06 22:49:55 UTC
tcalc-2.1-7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-08-06 23:49:48 UTC
tcalc-2.1-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.